package dev.lions.unionflow.server.api.enums.solidarite;

import lombok.Getter;

/**
 * Énumération des statuts d'une proposition d'aide.
 */
@Getter
public enum StatutProposition {
    BROUILLON("Brouillon"),
    ACTIVE("Active"),
    SUSPENDUE("Suspendue"),
    EXPIREE("Expirée"),
    TERMINEE("Terminée"),
    ANNULEE("Annulée");

    private final String libelle;

    StatutProposition(String libelle) {
        this.libelle = libelle;
    }
}
